﻿html {
    background-color: #FFF !important;
}

body {
    /*min-width: fit-content;*/
    margin: 0;
}

footer {
    background-color: #FFF !important;
}

#LoginForm {
    height: 100vh;
    width: 100%;
    overflow: hidden;
}

.LoginContainer {
    max-width: 360px;
    margin: 0 auto;
    height: auto;
}

.LoginForm {
    padding: 20px 30px;
    height: auto;
    background-color: rgba(255,255,255,0.5);
    border-radius: 8px;
    box-shadow: 0 1px 5px 0 rgba(0,0,0,.15);
    margin: 20px auto;
}

.MainLoginHeaderText {
    margin: 20px 0 0;
    font-size: 28px;
    font-weight: 400;
    text-align: center;
}

.SubLoginHeaderText {
    margin: 0px 0 0;
    font-size: 29px;
    font-weight: 400;
    text-align: center;
}

.LoginLabelText {
    color: #666;
    font-size: 15px;
    margin-top: 12px;
    display: inline-block;
    line-height: 14px;
}

input.LoginText,
select.LoginText {
    width: 100%;
    max-width: 100%;
    height: 40px;
    font-size: 14px !important;
    border: 1px solid #c2cfd6;
    color: black !important;
    box-sizing: border-box;
    margin-bottom: 0;
    text-indent: 10px;
    background-color: white !important;
    border-radius: .25em;
    padding-left: 10px;
}

.ForgotPassword,
.ResendOTP {
    float: right;
    margin-top: 3px;
    /* margin-right: 25px; */
    cursor: pointer;
    color: #1976d2;
    font-size: 13px;
}

.ResetMessage,
.ResendMessage {
    float: right;
    margin-top: 3px;
    /* margin-right: 25px; */
    color: #1976d2;
    font-size: 13px;
}

.ResendOTP.disabled,
.ResendMessage.disabled {
    pointer-events: none;
    color: #b5b5b5 !important;
}

input[class="LoginButton"] {
    width: 100% !important;
    box-sizing: border-box;
    height: 40px;
    margin-top: 12px;
    margin-bottom: 22px;
    margin-right: 0;
    /*padding-bottom: 15px;*/
    border-radius: .25em;
    color: white;
    font-size: 14px !important;
    font-weight: 300 !important;
    border: 1px solid #1976D2 !important;
}

input[class="SignupButton"] {
    width: 100% !important;
    box-sizing: border-box;
    height: 40px;
    margin-top: 10px;
    margin-right: 0;
    /* padding-bottom: 15px; */
    border-radius: .25em;
    color: #333;
    font-size: 14px !important;
    font-weight: 300 !important;
    border: 1px solid #ebebeb !important;
}

#CacheStatus {
    display: none;
}

.AccountMessage {
    font-size: 18px;
    width: 100%;
    font-weight: 400;
    text-align: center;
    background: white;
    padding: 0 10px;
}

.AccountMessageContainer {
    height: 100%;
    min-height: 20px;
    width: 100%;
    text-align: center;
}

.DividerLine {
    background: #ebebeb;
    height: 1px;
    margin-top: -10px;
    margin-bottom: 15px;
    width: 100%;
}

.VeriSignWrapper {
    margin: 4% auto;
    position: relative;
    bottom: 10px;
    left: 0;
    right: 0;
    align-content: center;
    width: 100%;
    max-width: 75px;
    height: 44px;
}

.LoginError {
    margin: 3% auto;
    position: relative;
    bottom: 10px;
    left: 0;
    right: 0;
    align-content: center;
    width: 100%;
    max-width: 350px;
    height: auto;
    border: 1px solid #f2f2f2;
    border-radius: 8px;
    box-shadow: 0 1px 5px 0 rgba(0,0,0,.15);
    padding: 15px;
    background-color: rgba(240, 240, 240, .2);
    font-size: 15px;
    font-weight: 100;
    line-height: 14px;
    max-width: 330px;
    display: none;
}

.LoginErrorMsg {
}

.LoginErrorRef {
    display: none;
}

.TermsAndConditionsContainer {
    width: 100vw;
    max-width: 100%;
    height: 40px;
    align-self: center;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    margin: 0 auto;
    background-color: #f2f2f2;
    overflow-x: hidden;
    overflow-y: hidden;
}

.TermsAndConditionsContent {
    font-size: 13px;
    font-size-adjust: inherit;
    color: #0d0d0d;
    text-align: center;
    line-height: 40px;
    vertical-align: middle;
    /*padding-top: 13px;*/
    width: 100%;
}

.GlobalErrorStatus {
    display: none;
}

.disabledDropDown {
    background-color: #f2f2f2 !important;
    color: #999 !important;
    opacity: 0.7 !important;
    pointer-events: none !important;
}

.disabledCheckbox {
    color: #999 !important;
    opacity: 0.7 !important;
}

.errorDropDown {
    border: 2px solid #cc0000 !important;
}

/****************Overwritten Control Classes*******************/

/***************Overwritten Control Classes End***************/

@media screen (min-width: 320px) and (max-width: 767px) {

    html {
        min-width: 1024px !important;
        width: 1024px !important;
        height: auto !important;
        overflow: auto !important;
    }

    body {
        min-width: 1024px !important;
        width: 1024px !important;
        height: auto !important;
        overflow: auto !important;
        font-size: 1vw !important;
    }

    .DashBoardRepDetailItem:first-child {
        min-width: 29% !important;
        max-width: 29% !important;
    }

    .PercentGraph {
        max-width: 12.4% !important;
        width: 12.4% !important;
    }

    .RepGroupName {
        font-size: 1vw !important;
    }

    .DetailItemRepName {
        font-size: 1vw !important;
    }

    .svgContainer {
        width: 100% !important;
    }
}

/*Override Login Classes*/
.LoginContainer * {
    color: #767676;
}
.OTPEntry {
    font-size: 0.8em;
    font-weight: 600;
}

.OTPEntry {
    font-size: 13px;
    padding-left: 6%;
    padding-top: 9%;
    margin-bottom: 18.6%;
}

.InvalidOTP {
    color: red;
    font-size: 13px;
    padding: 1% 5% 1% 6%;
    border: 1px solid red;
    background-color: #fbc8c8;
    margin-bottom: 20px;
}

.AuthenticationCodeRequired {
    color: red !important;
}

.emailSent {
    font-size: 18px;
}

.LoginForm {
    padding: 36px 36px 14px 36px;
}

.LoginContainer {
    max-width: 400px;
}

.LoginElement {
    position: relative;
}

.LoginHeaderContainer {
    width: 280px;
    height: auto;
    margin: 40px auto 0px auto;
}

    .LoginHeaderContainer img {
        width: 100%;
    }

.LoginElement input:hover {
    border-color: #b4b4b4 !important;
}

.LoginButton.SubmitButton {
    width: 100% !important;
    box-sizing: border-box;
    height: 40px;
    margin-top: 12px;
    margin-bottom: 5px;
    margin-right: 0;
    /* padding-bottom: 15px; */
    border-radius: .25em;
    color: white;
    font-size: 14px !important;
    font-weight: 300 !important;
    border: 1px solid #1976D2 !important;
}

    .LoginButton.SubmitButton.MoveBack {
        background-color: #FFF !important;
        border: 1px solid #ebebeb !important;
        color: black !important;
    }

.LoginForm .LoginButton, .LoginForm .SignupButton, .LoginForm .SignupButton.MoveBack, .LoginForm .ForgotPassword, .LoginForm .ResendOTP, .LoginForm .ResendMessage, .LoginElement input {
    transition: all 0.4s ease;
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
}

    .LoginForm .LoginButton:hover {
        background-color: #104E8B !important;
        color: white;
    }

    .LoginForm .SignupButton:hover, .LoginForm .SubmitButton.MoveBack:hover {
        background-color: #DDD !important;
    }

.LoginForm .ForgotPassword,
.LoginForm .ResendOTP,
.LoginForm .ResendMessage {
    border-bottom: 1px solid transparent;
}

    .LoginForm .ForgotPassword:hover,
    .LoginForm .ResendOTP:hover {
        border-bottom: 1px solid #1976D2;
    }


.LoginElement input,
.LoginElement select {
    margin-top: 0px;
    margin-bottom: 26px;
    position: relative;
    z-index: 1;
    background: transparent !important;
}

    .LoginElement input.LoginText {
        border: 1px solid #e6e6e6;
    }

.MainLoginHeaderText {
    font-size: 24px;
    color: #444;
    margin: -10px 0 0 0;
}


.HeaderMessage {
    font-size: 14px;
    text-align: center;
    margin-bottom: 30px;
}

.FooterMessage {
    font-size: 14px;
    padding-left: 30px;
    padding-right: 30px;
}

.EmailAddrError {
    font-size: 14px;
    text-align: center;
    margin-bottom: 30px;
    padding: 5px 5px 5px 5px;
    color: red;
    background-color: #ffe6e6;
    border: 2px solid red;
}

.PasswordChangeError {
    font-size: 14px;
    text-align: center;
    margin-bottom: 30px;
    padding: 5px 5px 5px 5px;
    color: red;
    background-color: #ffe6e6;
    border: 2px solid red;
}

.OTPError {
    font-size: 14px;
    text-align: center;
    margin-bottom: 30px;
    padding: 5px 5px 5px 5px;
    color: red;
    background-color: #ffe6e6;
    border: 2px solid red;
}

.ChangePasswordText {
    font-weight: 400;
    text-align: center;
    font-size: 24px;
    color: #444;
    margin: 10px;
}

a.ForgotPassword,
a.ResendOTP {
    color: #1976d2;
    text-decoration: underline;
}

.LoginElement input:focus ~ .floating-label, .LoginElement input:not(:focus):invalid ~ .floating-label, .LoginElement input:focus ~ .floating-label {
    top: -16px;
    left: 0px;
    font-size: 12px;
    opacity: 0.7;
    font-weight: 600;
}

.LoginElement input.dirty ~ .floating-label,
.LoginElement select.dirty ~ .floating-label {
    top: -16px;
    left: 0px;
    font-size: 12px;
    opacity: 0.7;
    font-weight: 600;
}

input:-webkit-autofill ~ .floating-label,
input:-webkit-autofill:hover ~ .floating-label,
input:-webkit-autofill:focus ~ .floating-label,
textarea:-webkit-autofill ~ .floating-label,
textarea:-webkit-autofill:hover ~ .floating-label,
textarea:-webkit-autofill:focus ~ .floating-label,
select:-webkit-autofill ~ .floating-label,
select:-webkit-autofill:hover ~ .floating-label,
select:-webkit-autofill:focus ~ .floating-label {
    top: -16px;
    left: 0px;
    font-size: 12px;
    opacity: 0.7;
    font-weight: 600;
}

.LoginForm .floating-label, .LoginForm .floating-label {
    position: absolute;
    left: 20px;
    top: 12px;
    transition: 0.2s ease all;
    opacity: 1;
    font-size: 14px;
    color: black;
    font-weight: 300;
}

.PasswordElement
{
    position:relative;
}

    .PasswordElement span > i.fa-eye {
        font-size: 18px;
        z-index: 99;
        position: absolute;
        top: 11px;
        right: 5px;
        cursor: pointer;
    }

.PasswordStrength {
    display: none;
    position: absolute;
    margin-top:18px;
    border: solid 1px #EEE;
    padding: 5px;
    width: 330px;
    height: 180px;
    background-color: white;
    border-radius: 5px;
}

.PasswordMessage {
    font-size: 14px;
    text-align: center;
    margin-bottom: 30px;
}

.ResetButton {
    width: 100% !important;
    box-sizing: border-box;
    height: 40px;
    margin-top: 0px;
    margin-bottom: 22px;
    margin-right: 0;
    /* padding-bottom: 15px; */
    border-radius: 0.25em;
    color: white;
    font-size: 14px !important;
    font-weight: 300 !important;
    border: 1px solid #1976D2 !important;
}

.LoginElement.PasswordElement .LoginText {
    margin-bottom: 0px;
}

.LoginElement.AuthenticationMessage span {
    top: 0px;
    position: relative;
    color: red !important;
}

.AuthenticationCode {
    margin-top: 16px;
}

.AuthenticationCodeReset {
    margin-top: 0px;
}

.AuthenticationMessage {
    margin-top: 18px;
}

.SubmitComplete {
    padding-top: 40px;
    min-width: 400px;
    margin-left: 16px;
    color: red !important;
}

.companylink {
    text-align: center;
}

.companylink a {
    color: green;
}
.companylink a:hover {
    background-color: transparent !important;
}

.companytandc {
    font-size: 13px;
    color: green;
    padding-top: 20px;
}

.companytandc a {
    color: dimgray;
}

.ConfirmPasswordRequired,
.PasswordDontMatch {
    padding-bottom: 14px;
    margin-top: -24px;
    color: red !important;
    font-size: 13px;
}

.LoginSiteLink {
    text-align:center;
}

.LoginSiteLink a {
    color: green;
}

.LoginSiteLink a:hover {
    background-color: transparent;
}

.CustomerSupportEmail a:hover {
    background-color: transparent;
    text-decoration: none;
}

.TermsAndCondtionsPanel {
    color: green !important;
    display: inline-block;
    white-space: nowrap;
    position: relative;
    font-size: 12px;
    top: 12px;
}

.TermsAndCondtions {
    color: darkslategray !important;
    display: inline-block;
    width: 100%;
}

.TermsAndCondtions:hover {
    background-color: transparent !important;
    text-decoration:underline;
    cursor:pointer;
}

.LoginUsernameClear {
    position: relative !important;
    z-index: 1;
    margin-bottom: -21px;
}

.LoginPasswordClear {
    display: table-caption;
    position: relative !important;
    z-index: 1;
    margin-bottom: -21px;
}

.LoginUsernameClear .fas.fa-times {
    position: relative !important;
    color: #d7665b;
    cursor: pointer;
}

.LoginPasswordClear .fas.fa-times {
    position: relative !important;
    color: #d7665b;
    cursor: pointer;
}

.LoginUsernameClear .fas.fa-times:before {
    content: "\f00d";
}

.LoginPasswordClear .fas.fa-times:before {
    content: "\f00d";
}

.CookieDisclaimerContainer {
    width: 100vw;
    max-width: 100%;
    height: 68px;
    align-self: center;
    position: absolute;
    bottom: 40px;
    left: 0;
    right: 0;
    margin: 0 auto;
    background-color: #9CCC3C;
    overflow-x: hidden;
    overflow-y: hidden;
    display: inline-flex
}

.CookieDisclaimerContainer .row{
    width: 100%;
}

.CookieDisclaimerMessage {
    width:80%;
    padding-left: 20px;
    padding-top: 10px;
    font-size: 16px;
}

.CookieDisclaimerClose {
    width: 20%;
    text-align: end;
    padding-right: 8px;
    padding-top: 16px;
}

.acceptCookieButton,
.declineCookieButton {
    color: #fff;
}

#loginButton:disabled {
    background-color: #EEEEEE !important;
    color: #000 !important;
    border-color: #e2e2e2 !important;
}

/*.LoginElement.PasswordElement {
    margin-bottom: 26px;
}

.removepassingtop {
    padding-top: 0px !important;
}*/

#customloginerrormessage.cookiedeclined {
    top: 16px !important;
    position: relative !important;
}

.ResetMessage.errorMessage,
.ResendMessage.errorMessage {
    color: red !important;
    width: 100% !important;
    margin-bottom: -10px !important;
}

.complexityMessageContainer {
    display: block;
    position: relative;
    top: -30px;
    margin-bottom: 10px;
}

.AuthenticationMessageSub {
    white-space: nowrap;
    color: red;
}

.LoginElementError {
    font-size: 13px;
}